Description: properly include <endian.h> on non-linux systems
Author: IOhannes m zmölnig
Forwarded: no
Last-Update: 2021-08-26
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- pd-nusmuk.orig/audio/tabosc4c~.c
+++ pd-nusmuk/audio/tabosc4c~.c
@@ -61,11 +61,13 @@
 #define int32 long
 #endif
 
-#if defined(__FreeBSD__) || defined(__APPLE__)
+#if defined(__FreeBSD__) || defined(__APPLE__) || defined(__FreeBSD_kernel__) \
+    || defined(__OpenBSD__)
 #include <machine/endian.h>
 #endif
 
-#ifdef __linux__
+#if defined(__linux__) || defined(__CYGWIN__) || defined(__GNU__) || \
+    defined(ANDROID)
 #include <endian.h>
 #endif
 
--- pd-nusmuk.orig/audio/tabosci~.c
+++ pd-nusmuk/audio/tabosci~.c
@@ -66,11 +66,13 @@
 #define int32 long
 #endif
 
-#if defined(__FreeBSD__) || defined(__APPLE__)
+#if defined(__FreeBSD__) || defined(__APPLE__) || defined(__FreeBSD_kernel__) \
+    || defined(__OpenBSD__)
 #include <machine/endian.h>
 #endif
 
-#ifdef __linux__
+#if defined(__linux__) || defined(__CYGWIN__) || defined(__GNU__) || \
+    defined(ANDROID)
 #include <endian.h>
 #endif
 
